<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package calfin
 */

get_header();
$calfin_archiveLayout = calfin_options('calfin_archive_layout', 'right-sidebar');
$calfin_archive_banner = calfin_options('calfin_archive_banner', true);
$calfin_breadcrumb_select_html = calfin_options('calfin_breadcrumb_select_html', 'h2');
$calfin_archive_pagination = calfin_options('calfin_archive_pagination', true);
if($calfin_archiveLayout == 'grid'){
	$calfin_sidebar_bg = 'sidebar-no-bg-main';
}else{
	$calfin_sidebar_bg = 'sidebar-bg-main';
}
?>
	<?php if($calfin_archive_banner == true ) : ?>
	<div class="breadcroumb-area">
		<div class="container">
			<div class="breadcroumn-contnt">
				<?php the_archive_title( '<'.esc_attr($calfin_breadcrumb_select_html).' class="archive-title brea-title">', '</'.esc_attr($calfin_breadcrumb_select_html).'>' ); ?>
				<div class="bre-sub">
				<?php if(function_exists('bcn_display')){
					bcn_display();
				}?>
				</div>
			</div>
		</div>
	</div>
	<?php endif; ?>
	<main id="primary" class="site-main content-area <?php echo esc_attr($calfin_sidebar_bg); ?>">
		<div class="container page-layout <?php echo esc_attr($calfin_archiveLayout); ?>">
			<?php
				if ( $calfin_archiveLayout == 'grid' ) {
					get_template_part( 'template-parts/blog/post-grid' );
				} else {
					get_template_part( 'template-parts/blog/post-sidebar' );
				}?>
				
		</div>
	</main><!-- #main -->
<?php get_footer();
