<?php
//Single Post
CSF::createSection( $calfinThemeOption, array(
    'parent' => 'calfin_page_options',
    'title'  => esc_html__( 'Single Post / Post Details', 'calfin' ),
    'icon'   => 'fa fa-pencil',
    'fields' => array(
        array(
            'id'       => 'calfin_single_post_author',
            'type'     => 'switcher',
            'title'    => esc_html__( 'Post Author Name', 'calfin' ),
            'text_on'  => esc_html__( 'Yes', 'calfin' ),
            'text_off' => esc_html__( 'No', 'calfin' ),
            'desc'     => esc_html__( 'Hide or show author name on post details page.', 'calfin' ),
            'default'  => true,
        ),
        array(
            'id'       => 'calfin_single_post_date',
            'type'     => 'switcher',
            'title'    => esc_html__( 'Post Date', 'calfin' ),
            'text_on'  => esc_html__( 'Yes', 'calfin' ),
            'text_off' => esc_html__( 'No', 'calfin' ),
            'desc'     => esc_html__( 'Hide or show date on post details page.', 'calfin' ),
            'default'  => true,
        ),

        array(
            'id'       => 'calfin_single_post_cmnt',
            'type'     => 'switcher',
            'title'    => esc_html__( 'Post Comments Number', 'calfin' ),
            'text_on'  => esc_html__( 'Yes', 'calfin' ),
            'text_off' => esc_html__( 'No', 'calfin' ),
            'desc'     => esc_html__( 'Hide or show comments number on post details page.', 'calfin' ),
            'default'  => true,
        ),

        array(
            'id'       => 'calfin_single_post_cat',
            'type'     => 'switcher',
            'title'    => esc_html__( 'Post Categories', 'calfin' ),
            'text_on'  => esc_html__( 'Yes', 'calfin' ),
            'text_off' => esc_html__( 'No', 'calfin' ),
            'desc'     => esc_html__( 'Hide or show categories on post details page.', 'calfin' ),
            'default'  => true,
        ),

        array(
            'id'       => 'calfin_single_post_tag',
            'type'     => 'switcher',
            'title'    => esc_html__( 'Post Tags', 'calfin' ),
            'text_on'  => esc_html__( 'Yes', 'calfin' ),
            'text_off' => esc_html__( 'No', 'calfin' ),
            'desc'     => esc_html__( 'Hide or show tags on post details page.', 'calfin' ),
            'default'  => true,
        ),
        array(
            'id'       => 'calfin_post_top_share',
            'type'     => 'switcher',
            'title'    => esc_html__( 'Top Social Share icons', 'calfin' ),
            'text_on'  => esc_html__( 'Yes', 'calfin' ),
            'text_off' => esc_html__( 'No', 'calfin' ),
            'desc'     => esc_html__( 'Hide or show social share icons on post details page.', 'calfin' ),
            'default'  => false,
        ),
        array(
            'id'       => 'calfin_post_share',
            'type'     => 'switcher',
            'title'    => esc_html__( 'Social Share icons', 'calfin' ),
            'text_on'  => esc_html__( 'Yes', 'calfin' ),
            'text_off' => esc_html__( 'No', 'calfin' ),
            'desc'     => esc_html__( 'Hide or show social share icons on post details page.', 'calfin' ),
            'default'  => false,
        ),
        array(
            'id'       => 'calfin_author_profile',
            'type'     => 'switcher',
            'title'    => esc_html__( 'Author Profile', 'calfin' ),
            'text_on'  => esc_html__( 'Yes', 'calfin' ),
            'text_off' => esc_html__( 'No', 'calfin' ),
            'desc'     => esc_html__( 'Hide or show Author Profile Box on post details page.', 'calfin' ),
            'default'  => false,
        ),
    ),
) );