<?php
// Create typography section
CSF::createSection( $calfinThemeOption, array(
    'title'  => esc_html__( 'Typography', 'calfin' ),
    'id'     => 'calfin_typography_options',
    'icon'   => 'fa fa-text-width',
    'fields' => array(

        array(
            'id'           => 'calfin_body_typo',
            'type'         => 'typography',
            'title'        => esc_html__( 'Body', 'calfin' ),
            'output'       => 'body',
            'extra_styles' => true,
            'subtitle'     => esc_html__( 'Set body typography.', 'calfin' ),
            'default'      => array(
                'font-family'  => 'Inter',
                'font-size'    => '16',
                'unit'         => 'px',
                'color'        => '#151718',
                'extra-styles' => array( '100', '200', '300', '400', '500', '600', '700', '800', '900' ),
            ),
        ),

        array(
            'id'           => 'calfin_h1_typo',
            'type'         => 'typography',
            'title'        => esc_html__( 'Heading One', 'calfin' ),
            'output'       => 'h1',
            'extra_styles' => true,
            'subtitle'     => esc_html__( 'Set heading one typography.', 'calfin' ),
            'default'      => array(
                'font-family'  => 'Inter',
                'extra-styles' => array( '100', '200', '300', '400', '500', '600', '700', '800', '900' ),
            ),
        ),

        array(
            'id'           => 'calfin_h2_typo',
            'type'         => 'typography',
            'title'        => esc_html__( 'Heading Two', 'calfin' ),
            'output'       => 'h2',
            'extra_styles' => true,
            'subtitle'     => esc_html__( 'Set heading two typography.', 'calfin' ),
            'default'      => array(
                'font-family'  => 'Inter',
                'extra-styles' => array( '100', '200', '300', '400', '500', '600', '700', '800', '900' ),
            ),
        ),

        array(
            'id'           => 'calfin_h3_typo',
            'type'         => 'typography',
            'title'        => esc_html__( 'Heading Three', 'calfin' ),
            'output'       => 'h3',
            'extra_styles' => true,
            'subtitle'     => esc_html__( 'Set heading three typography.', 'calfin' ),
            'default'      => array(
                'font-family'  => 'Inter',
                'extra-styles' => array( '100', '200', '300', '400', '500', '600', '700', '800', '900' ),
            ),
        ),

        array(
            'id'           => 'calfin_h4_typo',
            'type'         => 'typography',
            'title'        => esc_html__( 'Heading Four', 'calfin' ),
            'output'       => 'h4',
            'extra_styles' => true,
            'subtitle'     => esc_html__( 'Set heading four typography.', 'calfin' ),
            'default'      => array(
                'font-family'  => 'Inter',
                'extra-styles' => array( '100', '200', '300', '400', '500', '600', '700', '800', '900' ),
            ),
        ),

        array(
            'id'           => 'calfin_h5_typo',
            'type'         => 'typography',
            'title'        => esc_html__( 'Heading Five', 'calfin' ),
            'output'       => 'h5',
            'extra_styles' => true,
            'subtitle'     => esc_html__( 'Set heading five typography.', 'calfin' ),
            'default'      => array(
                'font-family'  => 'Inter',
                'extra-styles' => array( '100', '200', '300', '400', '500', '600', '700', '800', '900' ),
            ),
        ),

        array(
            'id'           => 'calfin_h6_typo',
            'type'         => 'typography',
            'title'        => esc_html__( 'Heading Six', 'calfin' ),
            'output'       => 'h6',
            'extra_styles' => true,
            'subtitle'     => esc_html__( 'Set heading six typography.', 'calfin' ),
            'default'      => array(
                'font-family'  => 'Inter',
                'extra-styles' => array( '100', '200', '300', '400', '500', '600', '700', '800', '900' ),
            ),
        ),
        array(
            'type'    => 'subheading',
            'content' => esc_html__( 'Header Menu Typography', 'calfin' ),
        ),
        array(
            'id'           => 'calfin_header_menu_typo',
            'type'         => 'typography',
            'title'        => esc_html__( 'Header Menu', 'calfin' ),
            'output'       => '.main-navigation ul li a',
            'extra_styles' => true,
            'color'        => false,
            'subtitle'     => esc_html__( 'Set Header Nav Menu typography.', 'calfin' ),
            'default'      => array(
                'font-family'  => 'Inter',
                'extra-styles' => array( '100', '200', '300', '400', '500', '600', '700', '800', '900' ),
            ),
        ),
        array(
            'id'           => 'calfin_header_smenu_typo',
            'type'         => 'typography',
            'title'        => esc_html__( 'Header Sub Menu', 'calfin' ),
            'output'       => '.main-navigation ul li ul li a',
            'extra_styles' => true,
            'color'        => false,
            'subtitle'     => esc_html__( 'Set Header Nav Sub Menu typography.', 'calfin' ),
            'default'      => array(
                'font-family'  => 'Inter',
                'extra-styles' => array( '100', '200', '300', '400', '500', '600', '700', '800', '900' ),
            ),
        ),
        array(
            'id'           => 'calfin_header_megamenu_typo',
            'type'         => 'typography',
            'title'        => esc_html__( 'Header Mega Menu', 'calfin' ),
            'output'       => '.stellarnav.desktop li.mega li li a',
            'extra_styles' => true,
            'color'        => false,
            'subtitle'     => esc_html__( 'Set Header Nav Mega Menu typography.', 'calfin' ),
            'default'      => array(
                'font-family'  => 'Inter',
                'extra-styles' => array( '100', '200', '300', '400', '500', '600', '700', '800', '900' ),
            ),
        ),
    ),
) );
// End typography section