<?php 
if(is_archive()){
	$calfin_postItemLayout = calfin_options('calfin_archive_layout', 'right-sidebar');
}else if(is_search()){
	$calfin_postItemLayout = calfin_options('calfin_search_layout', 'right-sidebar');
}else{
	$calfin_postItemLayout = calfin_options('calfin_blog_layout', 'right-sidebar');
}

if($calfin_postItemLayout == 'grid-ls' || $calfin_postItemLayout == 'grid-rs'){
    $calfin_postColumn = 'col-lg-6';
}else{
    $calfin_postColumn = 'col-lg-12';
}

$calfin_post_date = calfin_options('calfin_post_date', true);
$calfin_post_author = calfin_options('calfin_post_author', true);
$calfin_cmnt_number = calfin_options('calfin_cmnt_number', true);
$calfin_show_category = calfin_options('calfin_show_category', true);
$calfin_share_blog = calfin_options('calfin_share_blog', false);
$calfin_show_readmore = calfin_options('calfin_show_readmore', true);
$calfin_blog_read_text = calfin_options('calfin_blog_read_text','Read More');
if( has_post_thumbnail() or has_post_format( 'video' ,get_the_ID()) or has_post_format( 'audio' ,get_the_ID())){
    $calfin_thum_class = 'with-thum-img';
}else{
    $calfin_thum_class = 'no-thum-img';
}
$code = 'iframe';
if(get_post_meta( get_the_ID(), 'calfin_postmeta_video', true)) {
	$calfin_postvideo = get_post_meta( get_the_ID(), 'calfin_postmeta_video', true );
}else {
  $calfin_postvideo = array();
}
if(get_post_meta( get_the_ID(), 'calfin_postmeta_audio', true)) {
	$calfin_postaudio = get_post_meta( get_the_ID(), 'calfin_postmeta_audio', true );
}else {
  $calfin_postaudio = array();
}
if(get_post_meta( get_the_ID(), 'calfin_postmeta_gallery', true)) {
	$calfin_postgallery = get_post_meta( get_the_ID(), 'calfin_postmeta_gallery', true );
    $calfin_postgallerys = $calfin_postgallery['calfin_post_gallery']; // for eg. 15,50,70,125
    $calfin_gallery_ids = explode( ',', $calfin_postgallerys );
}else {
  $calfin_postgallery = array();
}
?>

<div class="<?php echo esc_attr($calfin_postColumn); ?> col-md-12 mb-30 single-post-item">
    <div id="post-<?php the_ID(); ?>" <?php post_class('post-single'); ?>>
        <?php 
            if(has_post_format( 'video' ,get_the_ID()) && has_post_thumbnail() ){
                ?>
                <div class="post-img">
                    <?php the_post_thumbnail('calfin-blog-full', array('class' => 'img-responsive')); ?>
                    <a href="<?php echo esc_url($calfin_postvideo['calfin_post_video']); ?>" class="post-video video-popup"><i class="fas fa-play"></i></a>
                </div>
                <?php
            }elseif(has_post_format( 'video' , get_the_ID() ) && !empty($calfin_postvideo['calfin_post_video'])){
                ?>
                <div class="vendor">
                    <<?php echo esc_attr($code); ?> width="100" height="500" src="<?php echo esc_url($calfin_postvideo['calfin_post_video']); ?>"></<?php echo esc_attr($code); ?>>
                </div>
                <?php 
            }elseif(has_post_format( 'audio' , get_the_ID() ) && !empty($calfin_postaudio['calfin_post_audio'])){
                ?>
                <div class="vendor">
                    <<?php echo esc_attr($code); ?> width="100" height="400" src="<?php echo esc_url($calfin_postaudio['calfin_post_audio']); ?>"></<?php echo esc_attr($code); ?>>
                </div>
                <?php 
            }elseif(has_post_format( 'gallery' , get_the_ID() ) && !empty($calfin_gallery_ids)){
                if ( is_rtl() ) {
                    $calfin_rtl = 'true';
                }else{
                    $calfin_rtl = 'false';
                }
                ?>
                    <div class="post-gallerys" data-slick='{"rtl":<?php echo esc_attr($calfin_rtl); ?>}'>
                    <?php 
                    foreach( $calfin_gallery_ids as $gallery_id ){
                        echo wp_get_attachment_image( $gallery_id, 'calfin-blog-full' );
                    }
                    ?>
                    </div>
                <?php 
            }elseif(has_post_thumbnail()){
                ?>
                <div class="post-img">
                <?php the_post_thumbnail('calfin-blog-full', array('class' => 'img-responsive')); ?>
                </div>
                <?php 
            }
        ?>
       <div class="post-contents <?php echo esc_attr($calfin_thum_class); ?>">
            <div class="post-meta-box d-flex">
                <div class="post-meta-item flex-grow-1">
                    <ul>
                        <?php if($calfin_post_author == true ) : ?>
                        <li><i class="fas fa-user-alt"></i><?php calfin_posted_by(); ?></li>
                        <?php endif; ?>
                        <?php if($calfin_post_date == true && $calfin_postItemLayout == 'right-sidebar' || $calfin_postItemLayout == 'left-sidebar' ) : ?>
                        <li><i class="fas fa-calendar-alt"></i><?php calfin_posted_on(); ?></li>
                        <?php endif; ?>
                        <?php if($calfin_cmnt_number == true && get_comments_number() != 0) : ?>
                        <li class="comment-number"><i class="fas fa-comment"></i><?php comments_number( 'no responses', 'one Comment', '% Comments' ); ?>.</li>
                        <?php endif; ?>
                        <?php if($calfin_show_category == true ) : ?>
                        <li class="post-cat"><i class="fas fa-pencil-alt"></i><?php the_category(','); ?></li>
                        <?php endif; ?>
                    </ul>
                </div>
                <?php if($calfin_share_blog == true ) : ?>
                <div class="post-share">
                    <label><?php esc_html_e('Share Now','calfin'); ?></label>
                    <?php if(function_exists('calfin_post_share')){
                        calfin_post_share();
                    } ?>
                </div>
                <?php endif; ?>
            </div>
            <div class="post-title">
                <?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' ); ?>
            </div>
            <div class="post-content">
            <p><?php echo wp_trim_words( get_the_content(), 40 ); ?></p>
            </div>
            <?php if($calfin_show_readmore == true ) : ?>
            <div class="post-button d-flex">
                <a href="<?php echo esc_url( get_permalink() ); ?>" class="theme-btns"><?php echo esc_html($calfin_blog_read_text); ?></a>
            </div>
            <?php endif; ?>
       </div>
    </div>
</div>
